package com.unis.app.config;


import com.unis.common.utils.ResponseWrapper;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import java.io.File;

/**
 * @Auther:张新亮
 * @Date: 2019/2/19 0019 12:37
 * @Description:
 */
@FeignClient(name = "file")
@Component
public interface FileClient {

    /**
     *  粮食安全行政首长责任制----获取组织部门列表----获取省级外部门
     * @param
     * @return
     */
    @RequestMapping(method = RequestMethod.POST, value = "/file/findById")
    ResponseWrapper findById(@RequestParam(value = "id") String id);
    /**
     * @Description: 文件下载
     * @date 2019年6月6日,下午2:25:25
     * @author huangshuai
     * @version v1.0
     * @param id
     * @param response
     * @return
     */
    @RequestMapping(method = RequestMethod.GET,value = "/file/downloadId")
    public File download(@RequestParam("id") Long id);

}



