package com.unis.app.service;

import com.unis.accountability.businessmanagement.common.vo.cityPhbm.CityPhbmPage;
import com.unis.accountability.businessmanagement.common.vo.cityPhbm.CityPhbmPageVO;
import com.unis.accountability.businessmanagement.common.vo.cityPhbm.PhbmVO;
import com.unis.accountability.businessmanagement.common.vo.cityTaskDistribution.CityTaskVO;
import com.unis.accountability.businessmanagement.common.vo.cityZpbm.CityZpbmPublishVO;
import com.unis.common.utils.ResponseWrapper;

import java.util.List;
import java.util.Map;

/**
 * @Auther:张新亮
 * @Date: 2019/9/21 0021 16:09
 * @Description:
 */
public interface BizRespCityPhbmService {
    /**
     * 粮食安全行政首长责任制----市级配合部门----分页
     * @param cityPhbmPage
     * @param page
     * @param size
     * @return
     */
    Map findByPage(CityPhbmPage cityPhbmPage, Integer page, Integer size);

    /**
     * 粮食安全行政首长责任制----市级配合部门----查看
     * @param id
     * @return
     */
    CityTaskVO findById(String id);

    /**
     * 粮食安全行政首长责任制----市级配合部门---编辑
     * @param phbmVO
     * @return
     */
    ResponseWrapper update(PhbmVO phbmVO);

    /**
     * 粮食安全行政首长责任制----市级配合部门---发布
     * @param id
     * @return
     */
    ResponseWrapper publish(String id);

    /**
     * 粮食安全行政首长责任制----市级配合部门---批量发布
     * @param year
     * @return
     */
    ResponseWrapper publishALL(CityZpbmPublishVO cityZpbmPublishVO);

    /**
     * 粮食安全行政首长责任制----市级配合部门---提交比例
     * @param year
     * @return
     */
    Map findByTaskDistributionRatio(String year);

    /**
     * 粮食安全行政首长责任制----市级配合部门---根据年份部门状态查询明细
     * @param cityPhbmPage
     * @return
     */
    List<CityPhbmPageVO> fidByYearAndDeptIdAndStatus(CityPhbmPage cityPhbmPage);

}