package com.unis.app.service;

import com.unis.accountability.businessmanagement.common.vo.cityFf.CityFfPage;
import com.unis.accountability.businessmanagement.common.vo.cityFf.FfPublishVO;
import com.unis.accountability.businessmanagement.common.vo.cityFf.FfVO;
import com.unis.accountability.businessmanagement.common.vo.cityFf.TaskFfInfoVO;
import com.unis.common.utils.ResponseWrapper;

import java.util.Map;

/**
 * @Auther:张新亮
 * @Date: 2019/12/13 0013 15:24
 * @Description:
 */
public interface BizRespCityTaskfFService {
    /**
     * 粮食安全行政首长责任制----评分表分处室考核（市部门）----分页
     * @param cityFfPage
     * @param page
     * @param size
     * @return
     */
    Map findByPage(CityFfPage cityFfPage, Integer page, Integer size);

    /**
     * 粮食安全行政首长责任制----评分表分处室考核（市部门）----查看
     * @param id
     * @return
     */
    TaskFfInfoVO findById(String id);

    /**
     * 粮食安全行政首长责任制-----评分表分处室考核（市部门）---编辑
     * @param ffVO
     * @return
     */
    ResponseWrapper update(FfVO ffVO);

    /**
     * 粮食安全行政首长责任制----评分表分处室考核（市部门）---发布
     * @param id
     * @return
     */
    ResponseWrapper publish(String id);

    /**
     * 粮食安全行政首长责任制----市级配合部门---批量发布
     * @param ffPublishVO
     * @return
     */
    ResponseWrapper publishALL(FfPublishVO ffPublishVO);

    /**
     * 粮食安全行政首长责任制----评分表分处室考核（市部门）--查询是否可以提交数据
     * @param ffPublishVO
     * @return
     */
    ResponseWrapper findByIsSubmit(FfPublishVO ffPublishVO);
}