package com.unis.app.service;

import com.unis.accountability.businessmanagement.common.vo.examinationContent.ContentPage;
import com.unis.accountability.businessmanagement.common.vo.examinationContent.ContentVO;
import com.unis.common.utils.ResponseWrapper;

/**
 * @Auther:张新亮
 * @Date: 2019/9/18 0018 15:28
 * @Description:
 */
public interface BizRespExaminationContentService {
    /**
     * 粮食安全行政首长责任制----考核内容----保存
     * @param saveVO
     * @return
     */
    ResponseWrapper save(ContentVO contentVO);

    /**
     * 粮食安全行政首长责任制----考核内容----分页
     * @param contentVO
     * @param page
     * @param size
     * @return
     */
    ResponseWrapper findByPage(ContentPage contentPage, Integer page, Integer size);


    /**
     * 粮食安全行政首长责任制----考核内容----修改
     * @param updateVO
     * @return
     */
    ResponseWrapper update(ContentVO contentVO);

    /**
     * 粮食安全行政首长责任制----考核内容----删除
     * @param ids
     * @return
     */
    ResponseWrapper deletes(String[] ids);

    /**
     * 粮食安全行政首长责任制----考核内容----根据年份year和组织机构查询好喝内容
     * @param year
     * @param responsibilityId
     * @return
     */
    ResponseWrapper findByYearAndOrgId(String year, String responsibilityId);

}