package com.unis.app.service;

import com.unis.accountability.businessmanagement.common.vo.examinationQuota.QuotaVO;
import com.unis.accountability.businessmanagement.common.vo.examinationQuota.QutoaPage;
import com.unis.common.utils.ResponseWrapper;

/**
 * @Auther:张新亮
 * @Date: 2019/9/18 0018 16:33
 * @Description:
 */
public interface BizRespExaminationQuotaService {
    /**
     * 粮食安全省长责任制--考核指标----保存
     * @param quotaVO
     * @return
     */
    ResponseWrapper save(QuotaVO quotaVO);

    /**
     * 粮食安全省长责任制--考核指标----分页
     * @param qutoaPage
     * @param page
     * @param size
     * @return
     */
    ResponseWrapper findByPage(QutoaPage qutoaPage, Integer page, Integer size);

    /**
     * 粮食安全省长责任制--考核指标----根据年份year和组织机构 orgId 查询重点考核事项
     * @param year
     * @param responsibilityId
     * @return
     */
    ResponseWrapper findByYearAndOrgId(String year, String responsibilityId);

    /**
     * 粮食安全省长责任制--考核指标----编辑
     * @param quotaVO
     * @return
     */
    ResponseWrapper update(QuotaVO quotaVO);

    /**
     * 粮食安全省长责任制--考核指标----批量删除
     * @param ids
     * @return
     */
    ResponseWrapper deletes(String[] ids);
}