package com.unis.app.service;


import com.unis.accountability.businessmanagement.common.vo.examinationTask.TaskInfoVO;
import com.unis.accountability.businessmanagement.common.vo.examinationTask.TaskPageVO;
import com.unis.accountability.businessmanagement.common.vo.examinationTask.TaskVO;
import com.unis.common.utils.ResponseWrapper;

import java.util.Map;


/**
 * @Auther:张新亮
 * @Date: 2019/9/18 0018 17:49
 * @Description:
 */
public interface BizRespExaminationTaskService {
    /**
     * 粮食安全省长责任制--考核目标任务---查询可填分数
     * @param quotaId
     * @param responsibilityId
     * @return
     */
    ResponseWrapper findBySorce(String quotaId, String responsibilityId);

    /**
     * 粮食安全省长责任制--考核目标任务---保存
     * @param taskVO
     * @return
     */
    ResponseWrapper save(TaskVO taskVO);

    /**
     * 粮食安全省长责任制--考核目标任务---分页
     * @param taskPageVO
     * @param page
     * @param size
     * @return
     */
    Map findByPage(TaskPageVO taskPageVO, Integer page, Integer size);

    /**
     * 粮食安全省长责任制--考核目标任务---根据id查询考核目标任务--明细
     * @param id
     * @return
     */
    ResponseWrapper findById(String id);

    /**
     * 粮食安全省长责任制--考核目标任务---编辑
     * @param taskVO
     * @return
     */
    ResponseWrapper update(TaskVO taskVO);
    ResponseWrapper updateOpinion(TaskVO taskVO);
    /**
     * 粮食安全省长责任制--考核目标任务---批量删除
     * @param ids
     * @return
     */
    ResponseWrapper deletes(String[] ids);

    /**
     * 粮食安全省长责任制--考核目标任务---根据id查询考核目标任务--明细--省市--牵头部门配合部门部门和自评部门专用
     * @param id
     * @return
     */
    TaskInfoVO findByTaskInfo(String id);
}