package com.unis.app.service;

import com.unis.accountability.businessmanagement.common.vo.cityPhbm.PhbmVO;
import com.unis.accountability.businessmanagement.common.vo.cityTaskDistribution.CityTaskVO;
import com.unis.accountability.businessmanagement.common.vo.provincePhbm.ProvincePhbmPage;
import com.unis.accountability.businessmanagement.common.vo.provincePhbm.ProvincePhbmPublishVO;
import com.unis.common.utils.ResponseWrapper;

import java.util.Map;

/**
 * @Auther:张新亮
 * @Date: 2019/10/8 0008 16:25
 * @Description:
 */
public interface BizRespProvincePhbmService {
    /**
     * 粮食安全行政首长责任制----省级配合部门----分页
     * @param provincePhbmPage
     * @param page
     * @param size
     * @return
     */
    Map findByPage(ProvincePhbmPage provincePhbmPage, Integer page, Integer size);

    /**
     * 粮食安全行政首长责任制----省级配合部门----查看
     * @param id
     * @return
     */
    CityTaskVO findById(String id);

    /**
     * 粮食安全行政首长责任制----省级配合部门---编辑
     * @param phbmVO
     * @return
     */
    ResponseWrapper update(PhbmVO phbmVO);

    /**
     * 粮食安全行政首长责任制----省级配合部门---上报
     * @param id
     * @return
     */
    ResponseWrapper publish(String id);

    /**
     * 粮食安全行政首长责任制----省级配合部门---批量上报
     * @param year
     * @return
     */
    ResponseWrapper publishALL(ProvincePhbmPublishVO phbmPublishVO);
}