package com.unis.app.config;

import com.unis.common.utils.ResponseWrapper;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Repository;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * 
 * @ClassName: DataDictClient 
 * @Description: 数据字典 
 * @author xmpu
 * @date 2018年11月16日 下午4:22:58 
 * 
 * @version v1.0
 */
@FeignClient(name = "DATA-DICT")
@Repository
public interface DataDictClient {

    /**
     * 获取省市
     * @param
     * @return
     */
    @RequestMapping(method = RequestMethod.GET, value = "/dataDictionary/getDataTree/AREA_CODE")
    ResponseWrapper getDataTree();



}
