package com.unis.app.service;

import com.unis.accountability.businessmanagement.common.vo.examinationExcel.AreeExcelVO;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.Map;

/**
 * @Auther:张新亮
 * @Date: 2019/9/24 0024 17:31
 * @Description:
 */
public interface BizRespExaminationExcelService {
    /**
     * 粮食安全行政首长责任制----考核评分表管理----导入评分表
     * @param file
     * @param year
     * @param pfbmc
     * @return
     */
    Map<String,Object> importKhpfbExcel(MultipartFile file, String year, String pfbmc,String fileType);

    /**
     * 粮食安全行政首长责任制--区自评查看（区粮办）---导出
     * @param response
     */
    void exportAreaExcel(HttpServletResponse response,  AreeExcelVO areeExcelVO, Integer tag);

    /**
     * 粮食安全行政首长责任制--考核评分表管理)---下载模板
     * @param response
     * 
     * 20200225 修改：通用模板不需要添加年度筛选
     */
    void downloadKhpfbExcel(HttpServletResponse response);


    /**
     * 粮食安全行政首长责任制----考核评分表管理----导出评分表
     * @param response
     * @param bizRespResponsibilityId
     */
    void exportKhpfbExcel(HttpServletResponse response, String bizRespResponsibilityId);


}