package com.unis.app.service;

import com.unis.accountability.businessmanagement.common.vo.examinationItem.ItemPage;
import com.unis.accountability.businessmanagement.common.vo.examinationItem.ItemVO;
import com.unis.common.utils.ResponseWrapper;

/**
 * @Auther:张新亮
 * @Date: 2019/9/18 0018 16:16
 * @Description:
 */
public interface BizRespExaminationItemService {
    /**
     * 粮食安全行政首长责任制----重点考核事项---保存
     * @param itemVO
     * @return
     */
    ResponseWrapper save(ItemVO itemVO);

    /**
     * 粮食安全行政首长责任制----重点考核事项---分页
     * @param itemPage
     * @param page
     * @param size
     * @return
     */
    ResponseWrapper findByPage(ItemPage itemPage, Integer page, Integer size);

    /**
     * 粮食安全行政首长责任制----重点考核事项---编辑
     * @param itemVO
     * @return
     */
    ResponseWrapper update(ItemVO itemVO);

    /**
     * 粮食安全行政首长责任制----重点考核事项---批量删除
     * @param ids
     * @return
     */
    ResponseWrapper deletes(String[] ids);

    /**
     * 粮食安全行政首长责任制----重点考核事项---根据年份year和组织机构 orgId 查询重点考核事项
     * @param year
     * @param responsibilityId
     * @return
     */
    ResponseWrapper findByYearAndOrgId(String year, String responsibilityId);

}