package com.unis.app.service;

import com.unis.accountability.businessmanagement.common.vo.scoringCity.CityVO;
import com.unis.accountability.businessmanagement.common.vo.scoringCity.ScoringPage;
import com.unis.common.utils.ResponseWrapper;

/**
 * @Auther:张新亮
 * @Date: 2019/9/19 0019 19:23
 * @Description:
 */
public interface BizRespScoringCityService {
    /**
     * 粮食安全首长责任制--州市任务填报设置----分页
     * @param scoringPage
     * @param page
     * @param size
     * @return
     */
    ResponseWrapper findByPage(ScoringPage scoringPage, Integer page, Integer size);

    /**
     * 粮食安全首长责任制--州市任务填报设置----查看
     * @param id
     * @return
     */
    ResponseWrapper findById(String id);

    /**
     * 粮食安全首长责任制--州市任务填报设置---编辑
     * @param cityVO
     * @return
     */
    ResponseWrapper update(CityVO cityVO);


    /***
     * 粮食安全首长责任制--州市考核任务管理----发布
     * @param inputPublishVO
     * @return
     */
    ResponseWrapper publish(String  id);

    /**
     * 粮食安全首长责任制--州市任务填报设置----根据年分查询明细
     * @param year
     * @return
     */
    ResponseWrapper findByYear(String year);

    /**
     * 粮食安全首长责任制--州市任务填报设置----根据年分和状态---考核评分权重--对象
     * @param year
     * @param status
     * @return
     */
    ResponseWrapper findByYearAndStatus(String year, String status);
}