package com.unis.app.service;

import com.unis.accountability.businessmanagement.common.vo.examinationTask.BigTaskQueryVO;
import com.unis.common.utils.ResponseWrapper;

/**
 * @Author zoujieli
 * @Description
 * @Date 2019/9/21 17:35
 * Version 1.0
 */
public interface ProvinceLeadDeptService {

    /**
     * 盟市长责任制--省级牵头部门--根据任务id查询详情
     * @author 邹杰利
     * @param id
     * @return
     */
    ResponseWrapper getProvinceLeadDeptDetail(String id,String areaCode,String coordinateDeptId);

    /**
     * 盟市长责任制--省级配合部门--根据任务id查询详情
     * @author 邹杰利
     * @param id
     * @param areaCode
     * @param coordinateDeptId
     * @return
     */
    ResponseWrapper getProvinceCoordinateDeptDetail(String id, String areaCode, String coordinateDeptId);

    /**
     *
     * @param bigTaskQueryVO
     * @param pageNum
     * @param pageSize
     * @return
     */
    ResponseWrapper getProvinceLeadDept(BigTaskQueryVO bigTaskQueryVO, Integer pageNum, Integer pageSize);
}
